org.apache.cassandra.tools.nodetool

## Class CfHistograms

- java.lang.Object
- - org.apache.cassandra.tools.NodeTool.NodeToolCmd
  - - org.apache.cassandra.tools.nodetool.TableHistograms
    - - org.apache.cassandra.tools.nodetool.CfHistograms

All Implemented Interfaces:
  java.lang.Runnable

Deprecated.
use TableHistograms

    @Command(name="cfhistograms",
             hidden=true,
             description="Print statistic histograms for a given column family")
     @Deprecated
    public class CfHistograms
    extends TableHistograms

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.cassandra.tools.NodeTool.NodeToolCmd

`NodeTool.NodeToolCmd.KeyspaceSet`

### Constructor Summary

Constructors
Constructor and Description
`CfHistograms()` Deprecated.

### Method Summary

### Methods inherited from class org.apache.cassandra.tools.nodetool.TableHistograms

`execute`

### Methods inherited from class org.apache.cassandra.tools.NodeTool.NodeToolCmd

`parseOptionalKeyspace, parseOptionalKeyspace, parseOptionalTables, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CfHistograms

    public CfHistograms()

Deprecated.